Subject: Re: bug#31497: [Andrii Kolomoiets] bug#31497: 27.0.50; vc-hg doesn't separate standard error from standard output

From: Andrii Kolomoiets <[email-masked]>
Date: Wed, 16 Oct 2019 10:32:39 +0300

On 15 Oct 2019, at 03:33, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> (Please keep the debbugs address in the Cc list -- otherwise the bug
> tracker won't get the message.)

My bad. I emailed with "reply via email to" button on "Mail Archives"
site (https://lists.gnu.org/archive/html/), didn't know what address
must be specified in Cc.

>> There are option 'ui.report_untrusted' in hg since this commit:
>> https://www.mercurial-scm.org/repo/hg/rev/97369f6a6bb6
> 
> So that's 2007, so it should presumably be safe to add that.
> 
>> It present in mercurial 2.6.2, the earliest version I found in pip.
>> 
>> To filter out just "not trusting" warning I can propose to run hg like
>> this:
>> hg log --config ui.report_untrusted=0 -l 1 -r . -T '{rev}'
> 
> Could you propose a patch that adds this?

Please see attached patch.